View source Improve this doc

# `script`
directive in module `ng`

## Description

Load content of a script tag, with type `text/ng-template`, into `$templateCache`, so that the template can be used by `ngInclude`, `ngView` or directive templates.

## Usage

This directive can be used as custom element, but be aware of IE restrictions.

as element:

    <script
           type="text/ng-template">
    </script>

#### Parameters

Param | Type | Details
--- | --- | ---
type | 'text/ng-template' | must be set to `'text/ng-template'`

## Example

#### Source

Load inlined template

## Demo